c64cpu Class Reference
Inheritance diagram for c64cpu:

## Public Member Functions

| c64cpu (c64env *env)
uint8_t | cpuRead (uint_least16_t addr)
void | cpuWrite (uint_least16_t addr, uint8_t data)
Public Member Functions inherited from MOS6510
virtual void | reset ()
const char * | credits () const
void | debug (bool enable, FILE *out)
void | setRDY (bool newRDY)
void | triggerRST ()
void | triggerNMI ()
void | triggerIRQ ()
void | clearIRQ ()

## Additional Inherited Members

Static Public Attributes inherited from MOS6510
static const int | SR_INTERRUPT = 2
Protected Member Functions inherited from MOS6510
| MOS6510 (EventContext *context)
void | eventWithoutSteals ()
void | eventWithSteals ()
void | Initialise ()
void | setFlagsNZ (uint8_t value)
uint8_t | getStatusRegister ()
void | setStatusRegister (uint8_t sr)
void | IRQLoRequest ()
void | IRQHiRequest ()
void | interruptsAndNextOpcode ()
void | calculateInterruptTriggerCycle ()
void | fetchNextOpcode ()
void | throwAwayFetch ()
void | throwAwayRead ()
void | FetchDataByte ()
void | FetchLowAddr ()
void | FetchLowAddrX ()
void | FetchLowAddrY ()
void | FetchHighAddr ()
void | FetchHighAddrX ()
void | FetchHighAddrX2 ()
void | FetchHighAddrY ()
void | FetchHighAddrY2 ()
void | FetchLowEffAddr ()
void | FetchHighEffAddr ()
void | FetchHighEffAddrY ()
void | FetchHighEffAddrY2 ()
void | FetchLowPointer ()
void | FetchLowPointerX ()
void | FetchHighPointer ()
void | FetchEffAddrDataByte ()
void | PutEffAddrDataByte ()
void | PushLowPC ()
void | PushHighPC ()
void | PushSR ()
void | PopLowPC ()
void | PopHighPC ()
void | PopSR ()
void | brkPushLowPC ()
void | WasteCycle ()
void | adc_instr ()
void | alr_instr ()
void | anc_instr ()
void | and_instr ()
void | ane_instr ()
void | arr_instr ()
void | asl_instr ()
void | asla_instr ()
void | aso_instr ()
void | axa_instr ()
void | axs_instr ()
void | bcc_instr ()
void | bcs_instr ()
void | beq_instr ()
void | bit_instr ()
void | bmi_instr ()
void | bne_instr ()
void | branch_instr (bool condition)
void | bpl_instr ()
void | brk_instr ()
void | bvc_instr ()
void | bvs_instr ()
void | clc_instr ()
void | cld_instr ()
void | cli_instr ()
void | clv_instr ()
void | cmp_instr ()
void | cpx_instr ()
void | cpy_instr ()
void | dcm_instr ()
void | dec_instr ()
void | dex_instr ()
void | dey_instr ()
void | eor_instr ()
void | inc_instr ()
void | ins_instr ()
void | inx_instr ()
void | iny_instr ()
void | jmp_instr ()
void | las_instr ()
void | lax_instr ()
void | lda_instr ()
void | ldx_instr ()
void | ldy_instr ()
void | lse_instr ()
void | lsr_instr ()
void | lsra_instr ()
void | oal_instr ()
void | ora_instr ()
void | pha_instr ()
void | pla_instr ()
void | plp_instr ()
void | rla_instr ()
void | rol_instr ()
void | rola_instr ()
void | ror_instr ()
void | rora_instr ()
void | rra_instr ()
void | rti_instr ()
void | rts_instr ()
void | sbx_instr ()
void | say_instr ()
void | sbc_instr ()
void | sec_instr ()
void | sed_instr ()
void | sei_instr ()
void | shs_instr ()
void | sta_instr ()
void | stx_instr ()
void | sty_instr ()
void | tax_instr ()
void | tay_instr ()
void | tsx_instr ()
void | txa_instr ()
void | txs_instr ()
void | tya_instr ()
void | xas_instr ()
void | illegal_instr ()
void | doADC ()
void | doSBC ()
void | doJSR ()
Protected Attributes inherited from MOS6510
EventContext & | eventContext
int | cycleCount
int | interruptCycle
bool | irqAssertedOnPin
bool | nmiFlag
bool | rstFlag
bool | rdy
bool | flagN
bool | flagC
bool | flagD
bool | flagZ
bool | flagV
bool | flagI
bool | flagB
uint_least16_t | Register_ProgramCounter
uint_least16_t | Cycle_EffectiveAddress
uint_least16_t | Cycle_HighByteWrongEffectiveAddress
uint_least16_t | Cycle_Pointer
uint8_t | Cycle_Data
uint8_t | Register_StackPointer
uint8_t | Register_Accumulator
uint8_t | Register_X
uint8_t | Register_Y
struct ProcessorCycle | instrTable [0x101<< 3]
EventCallback< MOS6510 > | m_nosteal
EventCallback< MOS6510 > | m_steal

## Member Function Documentation

uint8_t c64cpu::cpuRead | ( | uint_least16_t | addr | ) |

inline virtual

Get data from system environment

Parameters

  address |

Returns
  data byte CPU requested

Implements MOS6510.

void c64cpu::cpuWrite | ( | uint_least16_t | addr,
|  | uint8_t | data
| ) |  |

inline virtual

Write data to system environment

Parameters

  address |
  data |

Implements MOS6510.

The documentation for this class was generated from the following file:

- c64cpu.h